Bug 244126 - net/madonctl: Unbreak with go1.14rc1
Summary: net/madonctl: Unbreak with go1.14rc1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-14 14:42 UTC by Dmitri Goutnik
Modified: 2020-02-14 19:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch file (6.84 KB, patch)
2020-02-14 14:42 UTC, Dmitri Goutnik
dmgk: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2020-02-14 14:42:52 UTC
Created attachment 211650 [details]
patch file

===>  Building for madonctl-2.3.1_8
(cd /wrkdirs/usr/ports/net/madonctl/work/madonctl-97f477f;  for t in madonctl; do  out=$(/usr/bin/basename $(echo ${t} |  /usr/bin/sed -Ee 's/^[^:]*:([^:]+).*$/\1/' -e 's/^\.$/madonctl/'));  pkg=$(echo ${t} |  /usr/bin/sed -Ee '
===>  Building madonctl from .
go: inconsistent vendoring in /wrkdirs/usr/ports/net/madonctl/work/madonctl-97f477f:
        github.com/McKael/madon/v2@v2.3.1-0.20190729195747-12ec66101bde: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/McKael/madon/v2@v2.3.1-0.20190113122558-9d8259932fb8
        github.com/magiconair/properties@v1.8.1: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/magiconair/properties@v1.8.0
        github.com/mattn/go-isatty@v0.0.8: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/mattn/go-isatty@v0.0.4
        github.com/pelletier/go-toml@v1.4.0: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/pelletier/go-toml@v1.2.0
        github.com/spf13/afero@v1.2.2: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/spf13/afero@v1.1.2
        github.com/spf13/cobra@v0.0.5: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/spf13/cobra@v0.0.3
        github.com/spf13/jwalterweatherman@v1.1.0: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/spf13/jwalterweatherman@v1.0.0
        github.com/spf13/viper@v1.4.0: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/spf13/viper@v1.2.1
        github.com/stretchr/testify@v1.3.0: is explicitly required in go.mod, but vendor/modules.txt indicates github.com/stretchr/testify@v1.2.2
        golang.org/x/net@v0.0.0-20190724013045-ca1201d0de80: is explicitly required in go.mod, but vendor/modules.txt indicates golang.org/x/net@v0.0.0-20180926154720-4dfa2610cdf3
        golang.org/x/sys@v0.0.0-20190726091711-fc99dfbffb4e: is explicitly required in go.mod, but vendor/modules.txt indicates golang.org/x/sys@v0.0.0-20180928133829-e4b3c5e90611

run 'go mod vendor' to sync, or use -mod=mod or -mod=readonly to ignore the vendor directory

Upstream issue: https://github.com/McKael/madonctl/issues/22

While here, remove redundant GH_TUPLE because upstream tarball already includes vendored dependencies.
Comment 1 commit-hook freebsd_committer 2020-02-14 19:51:54 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Feb 14 19:51:01 UTC 2020
New revision: 526170
URL: https://svnweb.freebsd.org/changeset/ports/526170

Log:
  Fix build with go 1.14rc1

  - Remove redundant GH_TUPLE
  - Bump PORTREVISION for package change

  PR:		244126
  Submitted by:	dmgk

Changes:
  head/net/madonctl/Makefile
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-02-14 19:52:27 UTC
Committed. Thanks!